Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.aggregation
Class ObjectDescriptor

    java.lang.Object
      rice.p2p.aggregation.ObjectDescriptor

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public class ObjectDescriptor
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`long` | `currentLifetime` DESCRIBE THE FIELD
`Id` | `key` DESCRIBE THE FIELD
`long` | `refreshedLifetime` DESCRIBE THE FIELD
`int` | `size` DESCRIBE THE FIELD
`long` | `version` DESCRIBE THE FIELD

Constructor Summary
`ObjectDescriptor(Id key, long version, long currentLifetime, long refreshedLifetime, int size)` Constructor for ObjectDescriptor.

Method Summary
`int` | `compareTo(java.lang.Object other)` DESCRIBE THE METHOD
`boolean` | `isAliveAt(long pointInTime)` Gets the AliveAt attribute of the ObjectDescriptor object
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    public Id key

  DESCRIBE THE FIELD

### version

    public long version

  DESCRIBE THE FIELD

### currentLifetime

    public long currentLifetime

  DESCRIBE THE FIELD

### refreshedLifetime

    public long refreshedLifetime

  DESCRIBE THE FIELD

### size

    public int size

  DESCRIBE THE FIELD

Constructor Detail

### ObjectDescriptor

    public ObjectDescriptor(Id key,
                            long version,
                            long currentLifetime,
                            long refreshedLifetime,
                            int size)

  Constructor for ObjectDescriptor.

Parameters:
  `key` - DESCRIBE THE PARAMETER
  `version` - DESCRIBE THE PARAMETER
  `currentLifetime` - DESCRIBE THE PARAMETER
  `refreshedLifetime` - DESCRIBE THE PARAMETER
  `size` - DESCRIBE THE PARAMETER

Method Detail

### isAliveAt

    public boolean isAliveAt(long pointInTime)

  Gets the AliveAt attribute of the ObjectDescriptor object

  Parameters:
    `pointInTime` - DESCRIBE THE PARAMETER
  Returns:
    The AliveAt value

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### compareTo

    public int compareTo(java.lang.Object other)

  DESCRIBE THE METHOD

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `other` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.